should I purchase a 5.4.0 console?

Discussion in 'Wii U - Hacking & Backup Loaders' started by amp3d, Feb 21, 2016.

  1. amp3d
    OP

    amp3d Newbie

    Newcomer
    3
    0
    Feb 21, 2016
    Canada
    Hi Guys,
    My apologies if this has been covered in other threads.

    I've been a long time user of this site and back in the Wii modding days, so I thought maybe it's time to jump on board the wii u scene for something to kill some time :)

    Having some difficulties finding some 5.3.2 units. I notice most threads recommend 5.3.2, but since loadiine seems to support 5.4.0 and there seems to be exploits for it already, is there any reason for me not to pick up a 5.4.0 system?

    Anything work on 5.3.2 that doesn't work on 5.4.0?

    Thanks for your time!
     
  2. BothyBhoy

    BothyBhoy GBAtemp Advanced Fan

    Member
    835
    244
    Nov 27, 2015
    as far as im aware 5.4 does the same job as 5.3.2 but i think difference is 5.3.2 is a wee bit more stable....
     
  3. amp3d
    OP

    amp3d Newbie

    Newcomer
    3
    0
    Feb 21, 2016
    Canada
    thanks!

    I thought for sure I'd get flamed for asking this question :) lol
     
  4. H3llbender

    H3llbender Cancer

    Member
    152
    155
    Jun 1, 2014
    United States
    New Jersey
    Don't bother, the IOSU exploit is right around the corner.
     
    d12unk13astard likes this.
  5. BothyBhoy

    BothyBhoy GBAtemp Advanced Fan

    Member
    835
    244
    Nov 27, 2015
    and you know this???? how?????? or do you mean its supposed to be round the corner ?????
     
  6. amp3d
    OP

    amp3d Newbie

    Newcomer
    3
    0
    Feb 21, 2016
    Canada
    I don't think anyone knows the timeline. Although I'm sure you guys know more about the WiiU scene than I do.
    I still don't really see any reason to hold off using the existing exploits though is there? I can always update later with the 1000s of other people on here that intend to as well :)
     
  7. AboodXD

    AboodXD I hack NSMB games, and other shiz.

    Member
    2,648
    1,373
    Oct 11, 2014
    United Arab Emirates
    Not under a rock.
    Wrong, 5.4.0 is more stable, but, the funny thing is that 5.5 is the most stable firmware out there. :rofl2:
     
  8. BothyBhoy

    BothyBhoy GBAtemp Advanced Fan

    Member
    835
    244
    Nov 27, 2015
    yeah i read that too and the exploits ive seen running (those in private hands) looked super smooth.....
     
    AboodXD likes this.
  9. Net-KILLER

    Net-KILLER computer says no

    Member
    610
    365
    Oct 22, 2009
    Saint Kitts and Nevis
    in a pineapple under the sea
    As funny as a nail in the head
     
  10. FusionGamer

    FusionGamer GBAtemp Advanced Fan

    Member
    507
    367
    Jul 12, 2014
    United States
    Wrong. It's been delayed indefinitely as "life" "has taken over" an already completed exploit. It was scheduled to be released before February and Hykem was "sure of it".
     
    Subtle Demise, Oh No and Daba411 like this.
  11. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,368
    2,686
    Oct 26, 2014
    Tonga
    it was suppose to be out 2 months ago but soothing came up.
     
  12. d12unk13astard

    d12unk13astard GBAtemp Regular

    Member
    109
    44
    Jan 21, 2016
    United States
    He meant that for everyone to read it as sarcastically as i did and laughed when i read it haha

    The wii u barely has enough good games to really warrant piracy in the first place, im sure most people have bought most if not all their games by now that were any good for the system, so what's left...? all the garbage to pirate ahahahaha... just saying!
     
  13. FusionGamer

    FusionGamer GBAtemp Advanced Fan

    Member
    507
    367
    Jul 12, 2014
    United States
    Homebrew =/= Piracy.
     
  14. d12unk13astard

    d12unk13astard GBAtemp Regular

    Member
    109
    44
    Jan 21, 2016
    United States
    Yea i heard that, it will be nice when its here. Meanwhile got plenty of homebrewing on the N3ds and my pc master race rig :P
     
  15. Oh No

    Oh No Member

    Newcomer
    23
    39
    Jan 13, 2016
    United States
    You've all been saying this since a week before Christmas. :gun:
     
    Subtle Demise and FusionGamer like this.
  16. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,261
    Jun 30, 2008
    United States
    5.3.2 and 5.4.0 use the same exact Kernel Exploit, so therefore have the same "stability" AFAIK. (Someone correct me if the userland exploit is different and more/less stable)

    EDIT: @amp3d, I think some apps haven't been ported to 5.4.0 yet, such as pyGecko, etc.
     
    Last edited by fiveighteen, Feb 22, 2016
  17. Goku Junior

    Goku Junior GBAtemp Advanced Fan

    Member
    950
    288
    Dec 27, 2013
    Argentina
    Buenos Aires, Argentina
    http://gbatemp.net/threads/5-4-0-5-5-0-mp4-exploit.409934/
    If I understand correctly, Mathew_Wi said "With this you can build (and in theory, run) homebrew for Wii U version 5.4.0 and 5.5.0. It is incredibly bad, and likely won't run any code for you whatsoever. Sounds good right? Yeah? Right on!" and I think with "likely won't run any code for you" means that is pretty unstable, even more reading the "It is incredibly bad".
    I don't know if there is another official exploit for 5.4.0 because I'm not in that version of the console, and I think Yellow8's exploit is designed just for 5.5.0 (And surprisingly works in 5.5.1 too) ...
    EDIT: Seems that Yellow 8's userland exploit works in 5.4.0, that means 5.4.0 is a lot more stable than 5.3.2 in Userland terms (Kernel as you say is the same)
     
    Last edited by Goku Junior, Feb 22, 2016
    Subtle Demise likes this.
  18. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,261
    Jun 30, 2008
    United States
    EDIT:

    Here are my notes. Idk how the userland exploit effects reliability.

    5.3.2:
    Reliable userspace exploit
    Unreliable kernel exploit (OSDriver)
    Private IOSU exploits
    5.4.0:
    Reliable userspace exploit (MP4)
    Unreliable kernel exploit (OSDriver)
    Private IOSU exploits
    5.5.0:
    Reliable userspace exploit (MP4)
    Private reliable kernel exploit
    Private IOSU exploits
    5.5.1:
    Reliable userspace exploit (MP4)
    Private reliable kernel exploit
    Private IOSU exploits
     
    Last edited by fiveighteen, Feb 22, 2016
    dronesplitter and H3llbender like this.
  19. AboodXD

    AboodXD I hack NSMB games, and other shiz.

    Member
    2,648
    1,373
    Oct 11, 2014
    United Arab Emirates
    Not under a rock.
    I'd say this is more true ;):
    5.3.2:
    Reliable userspace exploit
    Unreliable kernel exploit (OSDriver)
    Private IOSU exploits
    5.4.0:
    Unreliable userspace exploit (By Mathew_Wi, patched in 5.5.1)
    Reliable userspace exploit (MP4)
    Unreliable kernel exploit (OSDriver)
    Private IOSU exploits
    5.5.0:
    Unreliable userspace exploit (By Mathew_Wi, patched in 5.5.1)
    Reliable userspace exploit (MP4)
    Private reliable kernel exploit
    Private IOSU exploits
    5.5.1:
    Reliable userspace exploit (MP4)
    Private reliable kernel exploit
    Private IOSU exploits
     
  20. fiveighteen

    fiveighteen High Hopes and Low Expectations

    Member
    1,755
    1,261
    Jun 30, 2008
    United States
    But you don't select which userspace exploit you are using, so it's pointless to say that an old unreliable one exists.